summaryrefslogtreecommitdiffstats
path: root/source/n/tcpdump/tcpdump.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2010-05-19 08:58:23 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:43:05 +0200
commitb76270bf9e6dd375e495fec92140a79a79415d27 (patch)
tree3dbed78b2279bf9f14207a16dc634b90995cbd40 /source/n/tcpdump/tcpdump.SlackBuild
parent5a12e7c134274dba706667107d10d231517d3e05 (diff)
downloadcurrent-b76270bf9e6dd375e495fec92140a79a79415d27.tar.gz
current-b76270bf9e6dd375e495fec92140a79a79415d27.tar.xz
Slackware 13.1slackware-13.1
Wed May 19 08:58:23 UTC 2010 Slackware 13.1 x86_64 stable is released! Lots of thanks are due -- see the RELEASE_NOTES and the rest of the ChangeLog for credits. The ISOs are on their way to replication, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We are taking pre-orders now at store.slackware.com, and offering a discount if you sign up for a subscription. Consider picking up a copy to help support the project. Thanks again to the Slackware community for testing, contributing, and generally holding us to a high level of quality. :-) Enjoy!
Diffstat (limited to '')
-rwxr-xr-xsource/n/tcpdump/tcpdump.SlackBuild24
1 files changed, 22 insertions, 2 deletions
diff --git a/source/n/tcpdump/tcpdump.SlackBuild b/source/n/tcpdump/tcpdump.SlackBuild
index ec1d39ee9..15715c567 100755
--- a/source/n/tcpdump/tcpdump.SlackBuild
+++ b/source/n/tcpdump/tcpdump.SlackBuild
@@ -22,8 +22,17 @@
VERSION=4.0.0
LIBVER=1.0.0
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -47,6 +56,9 @@ cd $TMP
rm -rf libpcap-$LIBVER
tar xvf $CWD/libpcap-$LIBVER.tar.gz || exit 1
cd libpcap-$LIBVER || exit 1
+
+zcat $CWD/libpcap.20-fix-any-intf.diff.gz | patch -p1 --verbose || exit 1
+
find . -type d -name CVS -depth -exec rm -rf {} \;
chown -R root:root .
find . \
@@ -63,8 +75,16 @@ CFLAGS="$(getconf LFS_CFLAGS)" \
--enable-ipv6 \
--build=$ARCH-slackware-linux
make $NUMJOBS || make || exit 1
+make shared $NUMJOBS || make || exit 1
mkdir -p $PKG/usr/bin # otherwise it errors out on install
make install DESTDIR=$PKG || exit 1
+strip --strip-debug libpcap.so.1.?.?
+cp libpcap.so.?.?.? $PKG/usr/lib${LIBDIRSUFFIX}
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ ln -sf libpcap.so.1.?.? libpcap.so.1
+ ln -sf libpcap.so.1 libpcap.so.0
+ ln -sf libpcap.so.1 libpcap.so
+)
mkdir -p $PKG/usr/doc/libpcap-$LIBVER
cp -a \
CHANGES CREDITS FILES INSTALL.txt LICENSE README README.linux TODO VERSION \